Name:               woff2
Version:            1.0.2
Release:            6
Summary:            Web Open Font Format 2.0 library
License:            MIT
URL:                https://github.com/google/woff2
Source0:            https://github.com/google/woff2/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:      brotli-devel cmake gcc-c++

%description
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF
1.0 with improved compression that is achieved by using the Brotli
algorithm. The primary purpose of the WOFF2 format is to
efficiently package fonts linked to Web documents by means of CSS
@font-face rules.

%package devel
Summary:            Header files for woff2
Requires:           %{name} = %{version}-%{release}

%description devel
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF
1.0 with improved compression that is achieved by using the Brotli
algorithm. The primary purpose of the WOFF2 format is to
efficiently package fonts linked to Web documents by means of CSS
@font-face rules.

%prep
%autosetup -n %{name}-%{version} -p1

%build
mkdir -p %{_target_platform}

pushd %{_target_platform}
%cmake ..\
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_INSTALL_LIBDIR="%{_libdir}"
popd

%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%files
%defattr(-,root,root)
%license LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/woff2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.2-6
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: Remove git dependency, restore license.

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.2-5
- Package init
